import { createPinia } from 'pinia'
import type { App } from 'vue'

export const store = createPinia()

// 全局注册 store
export function setupStore(app: App<Element>) {
  app.use(store)
}

export * from './modules/agents.ts'
export * from './modules/config.ts'
export * from './modules/selection.ts'
